Bug 963701 - wrong dependency in owncloud-mysql
wrong dependency in owncloud-mysql
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: owncloud (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Gregor Tätzner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 08:22 EDT by Martin Tegtmeier
Modified: 2013-12-21 10:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-21 06:55:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Tegtmeier 2013-05-16 08:22:35 EDT
Meta-package owncloud-mysql  (owncloud-mysql-4.5.10-1.fc18.noarch)  depends on php-pear(MDB2_Driver_mysqli)  and installs package  php-pear-MDB2-Driver-mysqli-1.5.0-0.7.b4.fc18.noarch as a dependency. NOTE THE "i" in mysqli - it is the improved MySQL MDB2 driver.

This way owncloud can not connect to the MySQL database. Excerpt from apache error log:

[Thu May 16 12:44:32.910874 2013] [:error] [pid 3362] [client ::1:53993] PHP Warning:  include_once(): Failed opening 'MDB2/Driver/mysql.php' for inclusion (include_path='/usr/share/owncloud/lib:/usr/share/owncloud/config:/usr/share/owncloud/3rdparty:/usr/share/owncloud/apps:/var/lib/owncloud/apps:/usr/share/owncloud/lib:.:/usr/share/pear:/usr/share/php:/usr/share/owncloud') in /usr/share/pear/MDB2.php on line 330, referer: http://localhost/owncloud/

It tries to load the non-improved version of the MySQL MDB2 driver which was not installed as a dependency.

Either change the meta-package to depend on php-pear-MDB2-Driver-mysql instead of php-pear-MDB2-Driver-mysqli    or change the configuration to use the improved MySQL MDB2 driver.


Thanks and best regards,
    -Martin
Comment 1 Gregor Tätzner 2013-05-16 11:43:07 EDT
you're right. owncloud is actually configured to use mysql not mysqli. I'll switch the dependency.
Comment 2 Fedora Update System 2013-05-16 12:38:17 EDT
owncloud-4.5.11-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/owncloud-4.5.11-2.fc18
Comment 3 Fedora Update System 2013-05-16 12:38:33 EDT
owncloud-4.5.11-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/owncloud-4.5.11-2.fc19
Comment 4 Fedora Update System 2013-05-16 12:38:45 EDT
owncloud-4.5.11-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/owncloud-4.5.11-2.el6
Comment 5 Fedora Update System 2013-05-28 20:56:02 EDT
owncloud-4.5.11-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-05-28 23:05:42 EDT
owncloud-4.5.11-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-06-01 15:27:12 EDT
owncloud-4.5.11-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Adam Williamson 2013-12-20 19:27:37 EST
Does this still need to be open?
Comment 9 Fedora End Of Life 2013-12-21 10:47:01 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.